> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user's transaction records

> Retrieves all user transactions



## OpenAPI

````yaml get /transaction
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /transaction:
    get:
      summary: Retrieve user's transaction records
      description: Retrieves all user transactions
      operationId: get-transactions
      parameters:
        - in: query
          name: currency
          description: >-
            Currency for which transactions are to be retrieved. When this is
            not supplied, transactions will be retrieved for all available
            currencies.
          schema:
            type: string
            enum:
              - NGN
              - USD
        - in: query
          name: type
          description: >-
            Type of transactions to be retrieved. When this is not supplied,
            transactions will be retrieved for all available types.
          schema:
            type: string
            enum:
              - deposit
              - withdrawal
              - sent
              - transfer
              - internalTransfer
              - conversion
        - in: query
          name: page
          description: Number of pages to be retrieved.
          schema:
            type: number
        - in: query
          name: limit
          description: Number of transaction records to be retrieved per page page.
          schema:
            type: number
        - in: query
          name: duration
          description: Duration of the transaction to be retrieved per page page.
          schema:
            type: number
            enum:
              - one day
              - one week
              - one month
              - one year
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            currency:
                              type: string
                            version:
                              type: string
                            transactionId:
                              type: string
                            sender:
                              type: string
                            isFromRegUser:
                              type: boolean
                            prevBalance:
                              type: number
                              format: int32
                            senderPrevbalance:
                              type: number
                              format: int32
                            type:
                              type: string
                            status:
                              type: string
                            businessId:
                              type: string
                            date:
                              type: string
                            fromCurrency:
                              type: string
                            fromAmount:
                              type: number
                              format: int32
                            amount:
                              type: number
                              format: int32
                            username:
                              type: string
                            fee:
                              type: number
                              format: int32
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                      total:
                        type: number
                        format: int32
                      perPage:
                        type: number
                        format: int32
                      page:
                        type: number
                        format: int32
                      pages:
                        type: number
                        format: int32
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````